Page MenuHomePhabricator

upgrade krypton (webserver_misc_apps) to stretch
Closed, DuplicatePublic

Description

krypton.eqiad.wmnet is on jessie

it uses role(webserver_misc_apps)

and is hosting the following tools:

  1. profile::wikimania_scholarships - https://scholarships.wikimedia.org/
  2. profile::iegreview - https://iegreview.wikimedia.org
  3. profile::racktables - https://racktables.wikimedia.org

~~ profile::grafana::production - grafana.wikimedia.org~~ (grafana is not on this host anymore meanwhile)

upgrade it to stretch. check what blockers there might be for that.

Details

Related Gerrit Patches:
operations/puppet : productionracktables: fix path to php.ini on stretch
operations/puppet : productionwebserver_misc_apps: require libapache2-mod-php7.0 on stretch
operations/puppet : productionracktables: add stretch/php7 support
operations/puppet : productioniegreview: add stretch/php7 support

Event Timeline

Dzahn created this task.Nov 20 2018, 9:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2018, 9:54 PM
Dzahn triaged this task as Medium priority.Nov 20 2018, 9:54 PM
Dzahn added a project: Operations.

Change 475015 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] iegreview: add stretch/php7 support

https://gerrit.wikimedia.org/r/475015

Change 475015 merged by Dzahn:
[operations/puppet@production] iegreview: add stretch/php7 support

https://gerrit.wikimedia.org/r/475015

Change 475018 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] racktables: add stretch/php7 support

https://gerrit.wikimedia.org/r/475018

Change 475018 merged by Dzahn:
[operations/puppet@production] racktables: add stretch/php7 support

https://gerrit.wikimedia.org/r/475018

Change 475021 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] webserver_misc_apps: require libapache2-mod-php7.0 on stretch

https://gerrit.wikimedia.org/r/475021

Change 475021 merged by Dzahn:
[operations/puppet@production] webserver_misc_apps: require libapache2-mod-php7.0 on stretch

https://gerrit.wikimedia.org/r/475021

Change 475024 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] racktables: fix path to php.ini on stretch

https://gerrit.wikimedia.org/r/475024

Change 475024 merged by Dzahn:
[operations/puppet@production] racktables: fix path to php.ini on stretch

https://gerrit.wikimedia.org/r/475024

Dzahn claimed this task.Jan 22 2019, 7:07 PM
Dzahn edited projects, added serviceops; removed Patch-For-Review.

Mentioned in SAL (#wikimedia-cloud) [2019-02-08T22:50:06Z] <mutante> - shutting down and deleted instance T210008 once made for testing krypton upgrade but broken somehow

Dzahn updated the task description. (Show Details)May 22 2019, 10:03 PM
Dzahn updated the task description. (Show Details)May 22 2019, 10:06 PM
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)May 22 2019, 10:08 PM
Dzahn updated the task description. (Show Details)May 22 2019, 10:12 PM

grafana is not on this host anymore meanwhile. unlinking subtask , not blocking this anymore

hashar added a subscriber: hashar.

Seems krypton.eqiad.wmnet is still using Jessie / php5.6. We could use an upgrade to Stretch to drop php5.6 support from the CI infrastructure :-]

Andrew added a subscriber: Andrew.Sep 30 2019, 6:44 PM

Is T210008.wikistats.eqiad.wmflabs associated with this bug? It has had broken puppet for many weeks -- perhaps it can be deleted?

Dzahn added a comment.Sep 30 2019, 6:45 PM

@Andrew Yea, it is. I will look into it later today.

Dzahn added a comment.Sep 30 2019, 6:47 PM

This ticket is superseded by T224247. krypton has meanwhile been replaced by miscweb1001/2001 (stretch).

Dzahn added a comment.Sep 30 2019, 6:59 PM

Is T210008.wikistats.eqiad.wmflabs associated with this bug? It has had broken puppet for many weeks -- perhaps it can be deleted?

Per T210008#4939896 i already deleted this or something with the same name in February 2019. But i can confirm it's there in Horizon. I am not sure why that is. Maybe i recreated it, maybe it is the same one that never got really deleted. I can't ssh to it because since then my own SSH key changed and puppet isn't running.

Anyways.. just deleted it. Should be gone now. Thanks for the reminder.

hashar removed a subscriber: hashar.Oct 25 2019, 11:53 AM